map::provider::osm(3tk)

NAME
map::provider::osm - Tile provider using OpenStreetMap Mapnik as origin

SYNOPSIS
package require Tcl 8.6-

package require debug

package require debug::caller

package require map::slippy 0.8

package require map::slippy::cache

package require map::slippy::fetcher

package require snit

package require map::provider::osm ?0.1?

DESCRIPTION
This package provides a tile provider suitable for use with map::display. It uses OpenStreetMap Mapnik as origin and caches fetched tiles in the local filesystem.

API

EXAMPLE

BUGS, IDEAS, FEEDBACK
This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category map of the Tklib Trackers [http://core.tcl.tk/tklib/reportlist]. Please also report any ideas for enhancements you may have for either package and/or documentation.

KEYWORDS
map, mapnik, openstreetmap, provider, tiles, tile provider

CATEGORY
Map Display and Supporting Utilities